org.springframework.data.jdbc.core.mapping

## Class BasicJdbcPersistentProperty

- java.lang.Object
- - org.springframework.data.mapping.model.AbstractPersistentProperty<P>
  - - org.springframework.data.mapping.model.AnnotationBasedPersistentProperty<RelationalPersistentProperty>
    - - org.springframework.data.relational.core.mapping.BasicRelationalPersistentProperty
      - - org.springframework.data.jdbc.core.mapping.BasicJdbcPersistentProperty

All Implemented Interfaces:
  PersistentProperty<RelationalPersistentProperty>, RelationalPersistentProperty

    public class BasicJdbcPersistentProperty
    extends BasicRelationalPersistentProperty

Extension to `BasicRelationalPersistentProperty`.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`BasicJdbcPersistentProperty(Property property, PersistentEntity<?,RelationalPersistentProperty> owner, SimpleTypeHolder simpleTypeHolder, NamingStrategy namingStrategy)` Creates a new `BasicJdbcPersistentProperty`.
`BasicJdbcPersistentProperty(Property property, PersistentEntity<?,RelationalPersistentProperty> owner, SimpleTypeHolder simpleTypeHolder, RelationalMappingContext context)` Deprecated. since 2.0, use `BasicJdbcPersistentProperty(Property, PersistentEntity, SimpleTypeHolder, NamingStrategy)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReference()`

### Methods inherited from class org.springframework.data.relational.core.mapping.BasicRelationalPersistentProperty

`createAssociation, getColumnName, getEmbeddedPrefix, getKeyColumn, getOwner, getQualifierColumnType, getReverseColumnName, isEmbedded, isEntity, isForceQuote, isOrdered, isQualified, setForceQuote, shouldCreateEmptyEmbedded`

### Methods inherited from class org.springframework.data.mapping.model.AnnotationBasedPersistentProperty

`findAnnotation, findPropertyOrOwnerAnnotation, getAssociationTargetType, getSpelExpression, isAnnotationPresent, isAssociation, isIdProperty, isTransient, isVersionProperty, isWritable, toString, usePropertyAccess`

### Methods inherited from class org.springframework.data.mapping.model.AbstractPersistentProperty

`equals, getActualType, getAssociation, getComponentType, getField, getGetter, getMapValueType, getName, getPersistentEntityTypes, getProperty, getRawType, getSetter, getType, getTypeInformation, getWither, hashCode, isArray, isCollectionLike, isImmutable, isMap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.mapping.PersistentProperty

`findAnnotation, findPropertyOrOwnerAnnotation, getAccessorForOwner, getActualType, getAssociation, getAssociationTargetType, getComponentType, getField, getGetter, getMapValueType, getName, getPersistentEntityTypes, getRawType, getRequiredAnnotation, getRequiredAssociation, getRequiredField, getRequiredGetter, getRequiredSetter, getRequiredWither, getSetter, getSpelExpression, getType, getTypeInformation, getWither, hasActualTypeAnnotation, isAnnotationPresent, isArray, isAssociation, isCollectionLike, isIdProperty, isImmutable, isMap, isTransient, isVersionProperty, isWritable, usePropertyAccess`

### Constructor Detail

#### BasicJdbcPersistentProperty

    @Deprecated
    public BasicJdbcPersistentProperty(Property property,
                                                   PersistentEntity<?,RelationalPersistentProperty> owner,
                                                   SimpleTypeHolder simpleTypeHolder,
                                                   RelationalMappingContext context)

Deprecated. since 2.0, use `BasicJdbcPersistentProperty(Property, PersistentEntity, SimpleTypeHolder, NamingStrategy)`.
Creates a new `BasicJdbcPersistentProperty`.

Parameters:
  `property` - must not be null.
  `owner` - must not be null.
  `simpleTypeHolder` - must not be null.
  `context` - must not be null

#### BasicJdbcPersistentProperty

    public BasicJdbcPersistentProperty(Property property,
                                       PersistentEntity<?,RelationalPersistentProperty> owner,
                                       SimpleTypeHolder simpleTypeHolder,
                                       NamingStrategy namingStrategy)

Creates a new `BasicJdbcPersistentProperty`.

Parameters:
  `property` - must not be null.
  `owner` - must not be null.
  `simpleTypeHolder` - must not be null.
  `namingStrategy` - must not be null
Since:
  2.0

### Method Detail

#### isReference

    public boolean isReference()

Specified by:
  `isReference` in interface `RelationalPersistentProperty`
Overrides:
  `isReference` in class `BasicRelationalPersistentProperty`